class SiteController < ApplicationController
  layout 'main'
  require_dependency "user"
  require_dependency "election"
  require_dependency "account"

  def index
    @quickvotes = QuickVote.find(:all).sort {|a,b| b.enddate <=> a.enddate}[0..1]
    # if the person claims they are logged in
   
    if logged_in?
      # check to see that we actually have record of them
      if User.exists?(session[:user])
        username = User.find(session[:user]).login
        # if we have record of them, grab the list of their elections
        session[:user] = User.find(session[:user])
        @current_elections = session[:user].elections.sort do |a,b|
          b.enddate <=> a.enddate
        end
      else
        # if we have no record of them, set the user back to
	      # nothing and start again
        session[:user] = nil
        
      end
    end
  end

end
